SocketProcessorBase (Apache Tomcat 9.0.37 API Documentation)

org.apache.tomcat.util.net

## Class SocketProcessorBase<S>

- java.lang.Object
- - org.apache.tomcat.util.net.SocketProcessorBase<S>

- All Implemented Interfaces:
    Runnable
  Direct Known Subclasses:
    AprEndpoint.SocketProcessor, Nio2Endpoint.SocketProcessor, NioEndpoint.SocketProcessor

      public abstract class SocketProcessorBase<S>
      extends Object
      implements Runnable

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected SocketEvent` | `event`
    `protected SocketWrapperBase<S>` | `socketWrapper`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SocketProcessorBase(SocketWrapperBase<S> socketWrapper, SocketEvent event)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract void` | `doRun()`
    `void` | `reset(SocketWrapperBase<S> socketWrapper, SocketEvent event)`
    `void` | `run()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### socketWrapper

          protected SocketWrapperBase<S> socketWrapper

    - #### event

          protected SocketEvent event

  - ### Constructor Detail

    - #### SocketProcessorBase

          public SocketProcessorBase(SocketWrapperBase<S> socketWrapper,
                                     SocketEvent event)

  - ### Method Detail

    - #### reset

          public void reset(SocketWrapperBase<S> socketWrapper,
                            SocketEvent event)

    - #### run

          public final void run()

      Specified by:
        `run` in interface `Runnable`

    - #### doRun

          protected abstract void doRun()

Copyright © 2000-2020 Apache Software Foundation. All Rights Reserved.